Page MenuHomePhabricator

Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes
Closed, DuplicatePublic

Description

Error Message

/wiki/Special:UnusedFiles MWException from line 167 of /srv/mediawiki/php-1.32.0-wmf.3/includes/Hooks.php: Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes

Stack Trace

#0 /srv/mediawiki/php-1.32.0-wmf.3/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#1 /srv/mediawiki/php-1.32.0-wmf.3/includes/gallery/ImageGalleryBase.php(133): Hooks::run(string, array)
#2 /srv/mediawiki/php-1.32.0-wmf.3/includes/gallery/ImageGalleryBase.php(103): ImageGalleryBase::loadModes()
#3 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/ImageQueryPage.php(48): ImageGalleryBase::factory(boolean, RequestContext)
#4 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/QueryPage.php(671): ImageQueryPage->outputResults(OutputPage, SkinVector, Wikimedia\Rdbms\DatabaseMysqli, Wikimedia\Rdbms\ResultWrapper, integer, integer)
#5 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPage.php(522): QueryPage->execute(NULL)
#6 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#7 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#8 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(861): MediaWiki->performRequest()
#9 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(524): MediaWiki->main()
#10 /srv/mediawiki/php-1.32.0-wmf.3/index.php(42): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): include(string)
#12 {main}

Notes

Event Timeline

mmodell created this task.May 10 2018, 1:22 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 10 2018, 1:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mmodell triaged this task as High priority.May 10 2018, 1:23 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 10 2018, 7:15 AM
Vvjjkkii renamed this task from Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes to 08caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 08caaaaaaa to Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes.Jul 2 2018, 1:48 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM